package cs3500.simon;

import cs3500.simon.controller.Controller;
import cs3500.simon.model.Simon;
import cs3500.simon.model.SimonSays;
import cs3500.simon.view.SimonView;
import cs3500.simon.view.SimpleSimonView;

/**
 * Runner for the game of Simon Says.
 */
public class SimonGame {

  /**
   * Main method that runs the game. Opens a window for the game to be played.
   * @param args the command-line arguments of the program
   */
  public static void main(String[] args) {
    Simon model = new SimonSays.Builder().build(); // Feel free to customize this as desired
    SimonView view = new SimpleSimonView(model);
    Controller controller = new Controller(model, view);
    controller.runGame();
  }
}
